Subject: Re: ip route show shows the routes in the inverse order?

From: Bill Fink <[email-masked]>
Date: Wed, 14 Mar 2012 01:30:21 -0400

On Tue, 13 Mar 2012, Ben Greear wrote:

> On 03/12/2012 11:52 PM, David Miller wrote:
> > From: Bill Fink<[email-masked]>
> > Date: Tue, 13 Mar 2012 02:15:29 -0400
> >
> >> Some scripts may depend on this plus its much more efficent that way
> >> if trying to find a matching route since you can quit on the first
> >> match instead of having to scan the entire routing table.
> >
> > No script should be doing stuff like this, let the tool do it for you
> > via "ip route get ADDR"
> >
> > There is absolutely no argument for routes to be listed in one order
> > or another, and anything depending upon order is extremely fragile
> > and needs to be fixed up anyways.
> 
> The argument is ease of use by whatever human is reading the
> information..but it could be done in the 'ip' tool.
> 
> Humans are fragile indeed, but it's often easier to fix the
> computer than fix the humans.

Speaking from experience, it's a royal point to look at unsorted
routes.  Perhaps it would be useful to add a sort option to the
"ip route show" command.

It makes more sense to fix a single user tool like "ip" than make
hundreds (or thousands) of admins work around the new behavior.

						-Bill